import { Component } from 'react';
declare class ContentWithSearch extends Component {
    props: any;
    state: any;
    static propTypes: any;
    constructor(props: any);
    componentDidMount(): void;
    getPageData(): any;
    handleLeftClick(i: any, idx: any): void;
    render(): import("react/jsx-runtime").JSX.Element;
}
export default ContentWithSearch;
